Search events

Search for events you've previously created. Returns a search result object that contains an events property that contains an array of up to page_size events. If no events match the query, the resulting array will be empty.

Query Params
calendar_ids
array of strings

Comma-separated list of calendar IDs. Limits search results to those specific calendars.

calendar_ids
event_ids
array of strings

Comma-separated list of event IDs. Limits search results to those specific events.

event_ids
string

Limits search results to events that end after this time, i.e. datetime_end >= datetime_min. Timezones are not considered when doing this comparison, it simply compares the naive datetimes. If datetime_min is provided, then the default sorting is changed to datetime_start, asc.

Accepts datetimes in the following formats:

  • YYYY-MM-DD hh:mm:ss e.g. 2023-11-28 10:00:00
  • YYYY-MM-DD hh:mm e.g. 2023-11-28 10:00
  • YYYY-MM-DD e.g. 2023-11-28
string

Limits search results to events that start before this time, i.e. datetime_start =< datetime_max. Timezones are not considered when doing this comparison, it simply compares the naive datetimes. If datetime_max is provided, then the default sorting is changed to datetime_start, asc.

Accepts datetimes in the following formats:

  • YYYY-MM-DD hh:mm:ss e.g. 2023-11-28 10:00:00
  • YYYY-MM-DD hh:mm e.g. 2023-11-28 10:00
  • YYYY-MM-DD e.g. 2023-11-28
string

Search term that searches across an event's title, internal_name, description, and location. Searches are case-insensitive.

string

Limits search results to objects with a given key-value pair in the custom_data field. If custom_data_key is provided, then custom_data_value must also be provided.

string

Limits search results to objects with a given key-value pair in the custom_data field. If custom_data_value is provided, then custom_data_key must also be provided.

integer
≥ 1
Defaults to 1

Page number of the search results. The first page of results is page=1.

integer
1 to 20
Defaults to 10

A limit on the number of objects to be returned. page_size must be between 1 and 20, and the default is 10.

string
enum
Defaults to created

The event property to sort by. Allowed values are created, title, calendar_id, or datetime_start. If sort_order is provided, then sort_by must also be provided. The default sorting is created, desc unless datetime_start or datetime_end is provided, in which case the default sorting is datetime_start, asc.

Allowed:
string
enum
Defaults to desc

The order of the returned search results, sorted by the property specified in sort_by. Allowed values are asc or desc. If sort_order is provided, then sort_by must also be provided.

Allowed:
Responses

Language
Credentials
Bearer
APIkey
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json